### Method

# ECal ComponentAlarmInstance set_component

since: 3.48

#### Declaration [src]

    void
    e_cal_component_alarm_instance_set_component (
      ECalComponentAlarmInstance* instance,
      _ECalComponent* component
    )

#### Description [src]

Sets `component` as the component associated with the `instance`. It can be `NULL` to unset it.

Available since: 3.48

#### Parameters

`component`

  Type: `_ECalComponent*`

  An `ECalComponent` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.